cleanup {spam} | R Documentation

## Cleaning up sparse matrices

### Description

Eliminates an zeros in a sparse matrix.

### Usage

    cleanup(x, eps = getOption("spam.eps"))

### Arguments

`x` | a sparse matrix of class `spam`.
`eps` | numeric scalar > 0. Smaller entries are coerced to zero.

### Details

A sparse matrix may still contain zeros. This function (aliased to `as.spam`) filters these values.
This often causes confusion when testing such matrices for symmetry or comparing apparently equal matrices with `all.equal` (see ‘Examples’ below.

### Author(s)

Reinhard Furrer

### See Also

`isSymmetric.spam` and `all.equal.spam`.

### Examples

    A <- diag.spam(2)
    A[1,2] <- 0

    all.equal(A, t(A))
    isSymmetric.spam(A)
    all.equal(cleanup(A), diag.spam(2))

[Package spam version 2.2-2 Index]